﻿using System.Windows;
using Telerik.Windows.Controls;

namespace TreeFileFolder
{
    public class TemplateSelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if ((item as Entry).IsDirectory == true)
            {
                return DirectoryTemplate;
            }
            else if ((item as Entry).IsDirectory == false)
            {
                return FileTemplate;
            }
            return FileTemplate;
        }


        public DataTemplate FileTemplate
        {
            get;
            set;
        }

        public DataTemplate DirectoryTemplate
        {
            get;
            set;
        }
    }
}
